diff -Naur docon/source/AlgSymmF.hs docon-fixed/source/AlgSymmF.hs
--- docon/source/AlgSymmF.hs	2011-02-26 12:48:32.000000000 -0500
+++ docon-fixed/source/AlgSymmF.hs	2011-12-31 00:28:17.206999683 -0500
@@ -179,7 +179,7 @@
 where
 import qualified Data.Map as Map (empty)
 
-import List (partition, genericLength, genericTake, genericDrop, 
+import Data.List (partition, genericLength, genericTake, genericDrop, 
                                                     genericReplicate)
 
 import DPrelude (ct, ctr, factorial, sum1, product1, showsWithDom,
diff -Naur docon/source/Common_.hs docon-fixed/source/Common_.hs
--- docon/source/Common_.hs	2011-03-03 15:40:42.000000000 -0500
+++ docon-fixed/source/Common_.hs	2011-12-31 00:28:17.206999683 -0500
@@ -19,7 +19,7 @@
  maxPartial, lexListComp
 )
 where 
-import List     (partition)
+import Data.List     (partition)
 import Prelude_ (Natural, Comparison, CompValue)
 
 
diff -Naur docon/source/Det_.hs docon-fixed/source/Det_.hs
--- docon/source/Det_.hs	2011-03-20 05:46:53.000000000 -0400
+++ docon-fixed/source/Det_.hs	2011-12-31 00:28:17.210332976 -0500
@@ -14,7 +14,7 @@
                               -- LinAlg  reexports all needed from here.
 (det, det_euc, maxMinor, delColumn, adjointMt) 
 where
-import List (genericLength, transpose)
+import Data.List (genericLength, transpose)
 
 import DPrelude (Natural,  sortE, product1, del_n_th, invSign, compBy, 
                                                    showsn, showsWithDom)
diff -Naur docon/source/DExport.hs docon-fixed/source/DExport.hs
--- docon/source/DExport.hs	2005-06-20 08:36:51.000000000 -0400
+++ docon-fixed/source/DExport.hs	2011-12-31 00:28:17.210332976 -0500
@@ -14,18 +14,18 @@
    module Pol,         module Residue,    module LinAlg,  
    module GBasis,      module Partition,  module AlgSymmF,
 
-   module Complex,
+   module Data.Complex,
 
-   module Prelude, module List,  module Ratio, module Random
+   module Prelude, module Data.List,  module Data.Ratio, module System.Random
   )
 where
 
-import Complex
+import Data.Complex
 
-import List    hiding (minimum, maximum, sort, sortBy)
+import Data.List    hiding (minimum, maximum, sort, sortBy)
 import Prelude hiding (minimum, maximum,             )
-import Ratio 
-import Random 
+import Data.Ratio 
+import System.Random 
 
 import DPrelude
 import Categs
diff -Naur docon/source/docon.cabal docon-fixed/source/docon.cabal
--- docon/source/docon.cabal	2011-03-02 02:39:04.000000000 -0500
+++ docon-fixed/source/docon.cabal	2011-12-31 00:14:53.056882730 -0500
@@ -12,7 +12,7 @@
                  -- should be like  "ghc-6.12.3" "Hugs-5.5" ...
                  .
 build-type:      Simple
-build-depends:   base, haskell98, containers
+build-depends:   base, random, containers
 -- 
 -- hs-source-dirs:  "." parse auxil lin residue pol pol/factor 
 --                  pol/symmfunc
diff -Naur docon/source/DPair_.hs docon-fixed/source/DPair_.hs
--- docon/source/DPair_.hs	2011-02-28 03:58:15.000000000 -0500
+++ docon-fixed/source/DPair_.hs	2011-12-31 00:28:17.210332976 -0500
@@ -5,7 +5,7 @@
  directProduct_group, directProduct_ring
 )
 where
-import Maybe (fromMaybe) 
+import Data.Maybe (fromMaybe) 
 
 import DPrelude (PropValue(..), InfUnn(..), and3, or3, allMaybes,
                                       boolToPropV, lookupProp, showsn)
diff -Naur docon/source/EPol0_.hs docon-fixed/source/EPol0_.hs
--- docon/source/EPol0_.hs	2011-02-23 13:52:21.000000000 -0500
+++ docon-fixed/source/EPol0_.hs	2011-12-31 00:28:17.213666269 -0500
@@ -25,7 +25,7 @@
 where
 import qualified Data.Map as Map (lookup, insert)
 
-import List    hiding (maximum, sortBy)
+import Data.List    hiding (maximum, sortBy)
 import Prelude hiding (maximum        )
 
 import DPrelude   
diff -Naur docon/source/EPol1_.hs docon-fixed/source/EPol1_.hs
--- docon/source/EPol1_.hs	2011-02-23 14:10:09.000000000 -0500
+++ docon-fixed/source/EPol1_.hs	2011-12-31 00:28:17.213666269 -0500
@@ -17,7 +17,7 @@
  vecPolToEPol, sEPol, mEPVecPMul, sEPVecP
 )
 where
-import List    hiding (sortBy, maximum) 
+import Data.List    hiding (sortBy, maximum) 
 import Prelude hiding (maximum)
 
 import DPrelude (Natural, Z, maximum, mergeBy, ct, ctr, sortBy, 
diff -Naur docon/source/FAA0_.hs docon-fixed/source/FAA0_.hs
--- docon/source/FAA0_.hs	2011-03-01 14:39:13.000000000 -0500
+++ docon-fixed/source/FAA0_.hs	2011-12-31 00:28:17.216999562 -0500
@@ -25,7 +25,7 @@
 where
 import qualified Data.Map as Map (lookup)
 
-import Maybe (catMaybes) 
+import Data.Maybe (catMaybes) 
 
 import DPrelude (DShow(..), Cast(..), -- classes
                  Z, PropValue(..), Expression(..), 
diff -Naur docon/source/FAANF_.hs docon-fixed/source/FAANF_.hs
--- docon/source/FAANF_.hs	2011-02-24 05:23:08.000000000 -0500
+++ docon-fixed/source/FAANF_.hs	2011-12-31 00:28:17.216999562 -0500
@@ -14,7 +14,7 @@
 -- Reduction to Groebner Normal Form of non-commutative polynomial over
 --                                                   a Commutative Ring.
 where
-import Maybe (isJust)  
+import Data.Maybe (isJust)  
 
 import DPrelude (tuple33, mapmap, ct, showsWithDom, sum1)
 import Categs   (Dom(..))
diff -Naur docon/source/Fract_.hs docon-fixed/source/Fract_.hs
--- docon/source/Fract_.hs	2011-03-01 14:12:45.000000000 -0500
+++ docon-fixed/source/Fract_.hs	2011-12-31 00:28:17.216999562 -0500
@@ -21,8 +21,8 @@
 where
 import qualified Data.Map as Map (empty, lookup, insert)
 
-import Maybe (catMaybes             )
-import Ratio (numerator, denominator)
+import Data.Maybe (catMaybes             )
+import Data.Ratio (numerator, denominator)
 import Categs
 import DPrelude (DShow(..), -- class
                  Z, PropValue(..), InfUnn(..), Expression(..), 
diff -Naur docon/source/GBasEuc_.hs docon-fixed/source/GBasEuc_.hs
--- docon/source/GBasEuc_.hs	2008-09-17 14:29:45.000000000 -0400
+++ docon-fixed/source/GBasEuc_.hs	2011-12-31 00:28:17.220332856 -0500
@@ -21,8 +21,8 @@
 where
 import qualified Data.Map as Map (insert, fromList, map)  
 
-import Maybe       (fromMaybe)        
-import List hiding (sortBy)
+import Data.Maybe       (fromMaybe)        
+import Data.List hiding (sortBy)
 
 import DPrelude (Z, PropValue(..), allMaybes, minBy, sortBy, mapmap)
 import Categs     (Property_GCDRing(..), GCDRingTerm(..)           )
diff -Naur docon/source/GBasFld_.hs docon-fixed/source/GBasFld_.hs
--- docon/source/GBasFld_.hs	2011-02-24 05:52:17.000000000 -0500
+++ docon-fixed/source/GBasFld_.hs	2011-12-31 00:28:17.223666150 -0500
@@ -27,8 +27,8 @@
 import qualified Data.Map as Map 
                         (Map(..), lookup, insert, toList, fromList, map)
 
-import Maybe (fromMaybe) 
-import List  (genericLength, nub)
+import Data.Maybe (fromMaybe) 
+import Data.List  (genericLength, nub)
 
 import DPrelude (Natural, allMaybes, sortBy, minBy, showsn, 
                                                     showsWithDom)
diff -Naur docon/source/GBas_.hs docon-fixed/source/GBas_.hs
--- docon/source/GBas_.hs	2011-02-24 11:29:12.000000000 -0500
+++ docon-fixed/source/GBas_.hs	2011-12-31 00:28:17.223666150 -0500
@@ -20,7 +20,7 @@
  initVecs_  -- for Polrel_ only
 )  
 where
-import List       (genericLength, partition                      )
+import Data.List       (genericLength, partition                      )
 import DPrelude   (PropValue(..), showsWithDom                   )
 import SetGroup   (AddGroup(..), unity, zeroS, isZero            )
 import RingModule (Ring(..),EuclideanRing(..), isField, isEucRing)
diff -Naur docon/source/HookBand_.hs docon-fixed/source/HookBand_.hs
--- docon/source/HookBand_.hs	2011-02-28 04:32:06.000000000 -0500
+++ docon-fixed/source/HookBand_.hs	2011-12-31 00:28:17.223666150 -0500
@@ -20,7 +20,7 @@
  subtrHBand, maxHWBand, prevHWBand
 )
 where
-import List (genericLength, genericTake, genericDrop, genericSplitAt)
+import Data.List (genericLength, genericTake, genericDrop, genericSplitAt)
 
 import DPrelude (Natural, Z)
 import Partit_  (Partition, prttUnion)
diff -Naur docon/source/IdealSyz_.hs docon-fixed/source/IdealSyz_.hs
--- docon/source/IdealSyz_.hs	2011-02-22 15:29:38.000000000 -0500
+++ docon-fixed/source/IdealSyz_.hs	2011-12-31 00:28:17.226999444 -0500
@@ -15,8 +15,8 @@
 where
 import qualified Data.Map as Map (lookup, insert) 
 
-import Maybe (fromJust     )
-import List  (genericLength)
+import Data.Maybe (fromJust     )
+import Data.List  (genericLength)
 
 import DPrelude (InfUnn(..), PropValue(..), lookupProp, updateProps)
 import Categs     
diff -Naur docon/source/Iparse_.hs docon-fixed/source/Iparse_.hs
--- docon/source/Iparse_.hs	2011-02-27 13:57:16.000000000 -0500
+++ docon-fixed/source/Iparse_.hs	2011-12-31 00:28:17.226999444 -0500
@@ -18,7 +18,7 @@
 -- parsing DoCon expressions containing infix operations
 
 where
-import List (genericLength, genericSplitAt) 
+import Data.List (genericLength, genericSplitAt) 
 
 import Prelude_ (DShow(..), Z, addToShowOptions)
 
diff -Naur docon/source/LinAlg.hs docon-fixed/source/LinAlg.hs
--- docon/source/LinAlg.hs	2011-03-20 11:31:52.000000000 -0400
+++ docon-fixed/source/LinAlg.hs	2011-12-31 00:28:17.226999444 -0500
@@ -27,7 +27,7 @@
 
 import qualified Data.Map as Map (empty, lookup)
 
-import List (transpose, genericLength, genericDrop, genericSplitAt, 
+import Data.List (transpose, genericLength, genericDrop, genericSplitAt, 
                                                     genericReplicate)
 
 import DPrelude (PropValue(..),  takeAsMuch, dropAsMuch, showsn, 
diff -Naur docon/source/Matr0_.hs docon-fixed/source/Matr0_.hs
--- docon/source/Matr0_.hs	2011-03-20 12:02:12.000000000 -0400
+++ docon-fixed/source/Matr0_.hs	2011-12-31 00:28:17.230332738 -0500
@@ -23,7 +23,7 @@
  --                             Read, Eq, MatrixLike, MatrixSizes.
 )
 where
-import List     (genericLength, transpose)
+import Data.List     (genericLength, transpose)
 import DPrelude (Natural, mapmap, showsWithDom )
 import Categs   (Dom(..), Domains1)
 import List_    (binOpList)
diff -Naur docon/source/Partit_.hs docon-fixed/source/Partit_.hs
--- docon/source/Partit_.hs	2008-09-17 14:36:12.000000000 -0400
+++ docon-fixed/source/Partit_.hs	2011-12-31 00:28:17.233666032 -0500
@@ -91,7 +91,7 @@
    showsPrtt
   )
 where
-import List (genericLength, genericSplitAt, genericReplicate)
+import Data.List (genericLength, genericSplitAt, genericReplicate)
 
 import DPrelude (Z, Comparison, sort)
 import VecMatr  (Vector(..), vecRepr)
diff -Naur docon/source/Partition.hs docon-fixed/source/Partition.hs
--- docon/source/Partition.hs	2011-02-28 04:05:59.000000000 -0500
+++ docon-fixed/source/Partition.hs	2011-12-31 00:28:17.233666032 -0500
@@ -31,7 +31,7 @@
 where
 import qualified Data.Map as Map (Map(..), empty, lookup, insert)
 
-import List (genericLength, genericReplicate)
+import Data.List (genericLength, genericReplicate)
 
 import DPrelude (Z, factorial, mergeBy)
 import Partit_  
diff -Naur docon/source/Permut.hs docon-fixed/source/Permut.hs
--- docon/source/Permut.hs	2011-02-27 15:11:06.000000000 -0500
+++ docon-fixed/source/Permut.hs	2011-12-31 00:28:17.233666032 -0500
@@ -30,8 +30,8 @@
 where
 import qualified Data.Map as Map (lookup, insert)
 
-import Maybe (fromJust)
-import List  (genericLength, genericSplitAt, nub, union)
+import Data.Maybe (fromJust)
+import Data.List  (genericLength, genericSplitAt, nub, union)
 
 import DPrelude   
        (DShow(..), -- class
diff -Naur docon/source/Pfact0_.hs docon-fixed/source/Pfact0_.hs
--- docon/source/Pfact0_.hs	2011-02-26 05:33:35.000000000 -0500
+++ docon-fixed/source/Pfact0_.hs	2011-12-31 00:28:17.236999326 -0500
@@ -21,8 +21,8 @@
 where
 import qualified Data.Map as Map (empty) 
 
-import Maybe (fromJust)
-import List  ((\\), partition, transpose, genericLength, genericSplitAt)
+import Data.Maybe (fromJust)
+import Data.List  ((\\), partition, transpose, genericLength, genericSplitAt)
 
 import Prelude hiding(maximum)
 
diff -Naur docon/source/Pfact1_.hs docon-fixed/source/Pfact1_.hs
--- docon/source/Pfact1_.hs	2011-02-26 06:12:01.000000000 -0500
+++ docon-fixed/source/Pfact1_.hs	2011-12-31 00:28:17.236999326 -0500
@@ -22,7 +22,7 @@
 where
 import qualified Data.Map as Map (empty)
 
-import List (transpose, (\\), genericLength, genericTake)
+import Data.List (transpose, (\\), genericLength, genericTake)
 
 import Prelude hiding(maximum)
 
diff -Naur docon/source/Pfact2_.hs docon-fixed/source/Pfact2_.hs
--- docon/source/Pfact2_.hs	2011-02-26 09:30:41.000000000 -0500
+++ docon-fixed/source/Pfact2_.hs	2011-12-31 00:28:17.240332620 -0500
@@ -18,8 +18,8 @@
 where
 import qualified Data.Map as Map (empty)
 
-import Maybe (fromJust)
-import List  (find    )
+import Data.Maybe (fromJust)
+import Data.List  (find    )
 
 import Prelude hiding(maximum)
 
diff -Naur docon/source/Pfact3_.hs docon-fixed/source/Pfact3_.hs
--- docon/source/Pfact3_.hs	2011-02-26 09:47:19.000000000 -0500
+++ docon-fixed/source/Pfact3_.hs	2011-12-31 00:28:17.240332620 -0500
@@ -15,7 +15,7 @@
 where
 import qualified Data.Map as Map (empty, lookup, insert)
 
-import List (genericDrop, genericLength, genericSplitAt)
+import Data.List (genericDrop, genericLength, genericSplitAt)
 
 import DPrelude (PropValue(..), and3, showsWithDom, ct, sortBy, 
                  compBy
diff -Naur docon/source/Pfact__.hs docon-fixed/source/Pfact__.hs
--- docon/source/Pfact__.hs	2011-02-25 15:57:12.000000000 -0500
+++ docon-fixed/source/Pfact__.hs	2011-12-31 00:28:17.240332620 -0500
@@ -18,8 +18,8 @@
 where
 import qualified Data.Map as Map (empty, lookup, insert)
 
-import Maybe (isJust)
-import List  (genericTake, genericLength, transpose) 
+import Data.Maybe (isJust)
+import Data.List  (genericTake, genericLength, transpose) 
 
 import DPrelude (PropValue(..), InfUnn(..),  and3, delBy, ct, ctr,
                                                            showsWithDom)
diff -Naur docon/source/Pgcd_.hs docon-fixed/source/Pgcd_.hs
--- docon/source/Pgcd_.hs	2011-02-27 14:09:33.000000000 -0500
+++ docon-fixed/source/Pgcd_.hs	2011-12-31 00:28:17.243665913 -0500
@@ -48,8 +48,8 @@
 where
 import qualified Data.Map as Map (empty, lookup, insert)
 
-import Maybe (fromJust     )
-import List  (genericLength)
+import Data.Maybe (fromJust     )
+import Data.List  (genericLength)
 
 import DPrelude (PropValue(..), lookupProp, ct, ctr, and3, showsn, 
                                                            showsWithDom)
diff -Naur docon/source/Pol1_.hs docon-fixed/source/Pol1_.hs
--- docon/source/Pol1_.hs	2011-03-01 14:59:17.000000000 -0500
+++ docon-fixed/source/Pol1_.hs	2011-12-31 00:28:17.246999206 -0500
@@ -23,9 +23,9 @@
 where
 import qualified Data.Map as Map (empty, lookup, insert)
 
-import Random (Random(..))
-import Maybe  (catMaybes )
-import List   (genericLength, genericDrop, genericSplitAt)
+import System.Random (Random(..))
+import Data.Maybe  (catMaybes )
+import Data.List   (genericLength, genericDrop, genericSplitAt)
 
 import DPrelude (DShow(..), -- class 
                  Natural, MMaybe, PropValue(..), Expression(..), 
diff -Naur docon/source/Pol2_.hs docon-fixed/source/Pol2_.hs
--- docon/source/Pol2_.hs	2011-02-24 14:18:48.000000000 -0500
+++ docon-fixed/source/Pol2_.hs	2011-12-31 00:28:17.246999206 -0500
@@ -21,7 +21,7 @@
 
 import qualified Data.Map as Map (empty, lookup,  insert)
 
-import List (genericLength, groupBy)
+import Data.List (genericLength, groupBy)
 
 import DPrelude (PropValue(..), ct, lookupProp, maxBy, mapmap, 
                  mapfmap, showsWithDom, sum1)
diff -Naur docon/source/Pol3_.hs docon-fixed/source/Pol3_.hs
--- docon/source/Pol3_.hs	2011-02-28 04:29:32.000000000 -0500
+++ docon-fixed/source/Pol3_.hs	2011-12-31 00:28:17.250332499 -0500
@@ -18,7 +18,7 @@
 where
 import qualified Data.Map as Map (empty, lookup)
 
-import List (genericLength)
+import Data.List (genericLength)
  
 import DPrelude (DShow(..), 
                  maxBy, ct, mapmap, fmapfmap, showsn, showsWithDom)
diff -Naur docon/source/Pol_.hs docon-fixed/source/Pol_.hs
--- docon/source/Pol_.hs	2011-02-28 04:10:52.000000000 -0500
+++ docon-fixed/source/Pol_.hs	2011-12-31 00:28:17.250332499 -0500
@@ -25,7 +25,7 @@
    -- , instances  Eq, Dom, Cast, PolLike
   )
 where
-import List (genericLength, genericDrop, genericSplitAt)
+import Data.List (genericLength, genericDrop, genericSplitAt)
 import Prelude hiding (maximum)
 
 import DPrelude (Cast(..), -- class
diff -Naur docon/source/PolNF_.hs docon-fixed/source/PolNF_.hs
--- docon/source/PolNF_.hs	2011-02-23 15:08:52.000000000 -0500
+++ docon-fixed/source/PolNF_.hs	2011-12-31 00:28:17.253665792 -0500
@@ -17,8 +17,8 @@
  coefNF, makeModes   -- local
 )
 where
-import Maybe (isJust)
-import List  (transpose, genericLength, partition)
+import Data.Maybe (isJust)
+import Data.List  (transpose, genericLength, partition)
 import Prelude hiding (minimum, maximum)
 
 import DPrelude (Natural, PropValue(..), InfUnn(..), Z, ct, tuple31, 
diff -Naur docon/source/Polrel_.hs docon-fixed/source/Polrel_.hs
--- docon/source/Polrel_.hs	2011-02-24 12:07:16.000000000 -0500
+++ docon-fixed/source/Polrel_.hs	2011-12-31 00:28:17.253665792 -0500
@@ -20,8 +20,8 @@
 where
 import qualified Data.Map as Map (empty)
 
-import Maybe (fromMaybe)
-import List  (partition, genericLength, genericTake, genericDrop)
+import Data.Maybe (fromMaybe)
+import Data.List  (partition, genericLength, genericTake, genericDrop)
 
 import DPrelude   (PropValue(..), showsn)
 import SetGroup   (Set(..), zeroS, isZero, unity)
diff -Naur docon/source/PP_.hs docon-fixed/source/PP_.hs
--- docon/source/PP_.hs	2011-03-18 11:08:13.000000000 -0400
+++ docon-fixed/source/PP_.hs	2011-12-31 00:28:17.253665792 -0500
@@ -19,7 +19,7 @@
  PowerProduct, PPComp   -- from Categs
 )
 where
-import List     (genericLength, genericSplitAt) 
+import Data.List     (genericLength, genericSplitAt) 
 import DPrelude (Natural, CompValue, lexListComp)
 import Categs   (PowerProduct, PPComp)
 import SetGroup (AddMonoid(), zeroS)
diff -Naur docon/source/Prelude_.hs docon-fixed/source/Prelude_.hs
--- docon/source/Prelude_.hs	2011-03-08 04:01:12.000000000 -0500
+++ docon-fixed/source/Prelude_.hs	2011-12-31 00:28:17.256999086 -0500
@@ -37,7 +37,7 @@
 import qualified Data.Map as Map 
                            (Map(..), fromList, toList, union, unionWith)
 
-import List           (delete, genericLength, genericReplicate)
+import Data.List           (delete, genericLength, genericReplicate)
 import Prelude hiding (maximum, minimum)
 
 
diff -Naur docon/source/QuotGr_.hs docon-fixed/source/QuotGr_.hs
--- docon/source/QuotGr_.hs	2011-02-22 14:25:56.000000000 -0500
+++ docon-fixed/source/QuotGr_.hs	2011-12-31 00:28:17.260332380 -0500
@@ -23,8 +23,8 @@
 where
 import qualified Data.Map as Map (lookup, insert)
    
-import Random (Random(..))
-import List   (nub, genericLength)
+import System.Random (Random(..))
+import Data.List   (nub, genericLength)
 
 import DPrelude (DShow(..), Cast(..), -- classes 
                  InfUnn(..), PropValue(..), ShowOptions(..), 
diff -Naur docon/source/RdLatP_.hs docon-fixed/source/RdLatP_.hs
--- docon/source/RdLatP_.hs	2008-09-17 14:53:25.000000000 -0400
+++ docon-fixed/source/RdLatP_.hs	2011-12-31 00:28:17.260332380 -0500
@@ -13,7 +13,7 @@
           (reduceLattice_UPolField, reduceLattice_UPolField_special)
 where
 
-import List (genericLength, genericDrop)
+import Data.List (genericLength, genericDrop)
 
 import Prelude hiding (maximum)
 
diff -Naur docon/source/ResEuc1_.hs docon-fixed/source/ResEuc1_.hs
--- docon/source/ResEuc1_.hs	2011-03-01 14:53:09.000000000 -0500
+++ docon-fixed/source/ResEuc1_.hs	2011-12-31 00:28:17.260332380 -0500
@@ -5,8 +5,8 @@
  
 import qualified Data.Map as Map (lookup, insert)
 
-import Maybe (fromJust)
-import List  (nub, find) 
+import Data.Maybe (fromJust)
+import Data.List  (nub, find) 
 
 import DPrelude (PropValue(..), InfUnn(..), ct, ctr, not3, boolToPropV, 
                                                                  showsn)
diff -Naur docon/source/ResEuc_.hs docon-fixed/source/ResEuc_.hs
--- docon/source/ResEuc_.hs	2011-03-01 14:57:35.000000000 -0500
+++ docon-fixed/source/ResEuc_.hs	2011-12-31 00:28:17.263665674 -0500
@@ -49,8 +49,8 @@
 
 import qualified Data.Map as Map (lookup, insert)
 
-import Maybe  (fromJust  )
-import Random (Random(..))
+import Data.Maybe  (fromJust  )
+import System.Random (Random(..))
 
 import DPrelude 
        (DShow(..), -- class
diff -Naur docon/source/ResPol_.hs docon-fixed/source/ResPol_.hs
--- docon/source/ResPol_.hs	2011-03-01 14:27:41.000000000 -0500
+++ docon-fixed/source/ResPol_.hs	2011-12-31 00:28:17.263665674 -0500
@@ -27,7 +27,7 @@
 where
 import qualified Data.Map as Map (empty, lookup, insert)
 
-import List     (genericLength)
+import Data.List     (genericLength)
 import DPrelude (PropValue(..), InfUnn(..), not3, and3, boolToPropV,
                                             lookupProp, ct, ctr, showsn)
 import Categs 
diff -Naur docon/source/ResRing__.hs docon-fixed/source/ResRing__.hs
--- docon/source/ResRing__.hs	2011-02-22 16:06:21.000000000 -0500
+++ docon-fixed/source/ResRing__.hs	2011-12-31 00:28:17.266998968 -0500
@@ -20,7 +20,7 @@
 where
 import qualified Data.Map as Map (lookup, insert)
 
-import List (genericLength, genericTake, nub)
+import Data.List (genericLength, genericTake, nub)
 
 import DPrelude (PropValue(..), lookupProp, not3, ct, ctr,
                  mapmap, showsWithDom
diff -Naur docon/source/ResRing_.hs docon-fixed/source/ResRing_.hs
--- docon/source/ResRing_.hs	2011-03-01 13:33:29.000000000 -0500
+++ docon-fixed/source/ResRing_.hs	2011-12-31 00:28:17.266998968 -0500
@@ -35,8 +35,8 @@
 where
 import qualified Data.Map as Map (lookup, insert)
 
-import Random (Random(..))
-import List   (nub, genericLength)
+import System.Random (Random(..))
+import Data.List   (nub, genericLength)
 
 import DPrelude (DShow(..), Cast(..), -- classes
                  Expression(..), PropValue(..), InfUnn(..), 
diff -Naur docon/source/Ring0_.hs docon-fixed/source/Ring0_.hs
--- docon/source/Ring0_.hs	2011-03-20 11:41:55.000000000 -0400
+++ docon-fixed/source/Ring0_.hs	2011-12-31 00:28:17.270332262 -0500
@@ -35,8 +35,8 @@
 where
 import qualified Data.Map as Map (empty)
 
-import Maybe     (fromMaybe)
-import Data.List (transpose)
+import Data.Maybe (fromMaybe)
+import Data.List  (transpose)
 
 import DPrelude (Natural, PropValue(..), InfUnn(..),  not3, lookupProp, 
                                                    mapmap, showsWithDom)
diff -Naur docon/source/Ring1_.hs docon-fixed/source/Ring1_.hs
--- docon/source/Ring1_.hs	2011-03-20 11:32:39.000000000 -0400
+++ docon-fixed/source/Ring1_.hs	2011-12-31 00:28:17.270332262 -0500
@@ -21,8 +21,8 @@
 where
 import qualified Data.Map as Map (empty, lookup, insert) 
 
-import Maybe (isJust, fromJust)
-import List  (transpose       )
+import Data.Maybe (isJust, fromJust)
+import Data.List  (transpose       )
 
 import DPrelude (Natural, PropValue(..), showsn, showsWithDom)
 import Categs (CategoryName(..), Domain1(..), EucRingTerm(..),
diff -Naur docon/source/Ring_.hs docon-fixed/source/Ring_.hs
--- docon/source/Ring_.hs	2011-02-27 14:14:12.000000000 -0500
+++ docon-fixed/source/Ring_.hs	2011-12-31 00:28:17.270332262 -0500
@@ -28,8 +28,8 @@
 where   
 import qualified Data.Map as Map (empty, lookup, insert, map)
 
-import List     (genericLength, transpose)
-import Ratio    (numerator, denominator  )
+import Data.List     (genericLength, transpose)
+import Data.Ratio    (numerator, denominator  )
 import DPrelude (PropValue(..), Z, Natural, fmapfmap, showsWithDom)
 import Categs  
 import SetGroup
diff -Naur docon/source/RingModule.hs docon-fixed/source/RingModule.hs
--- docon/source/RingModule.hs	2011-02-20 12:06:56.000000000 -0500
+++ docon-fixed/source/RingModule.hs	2011-12-31 00:28:17.273665556 -0500
@@ -54,8 +54,8 @@
 where
 import qualified Data.Map as Map (empty, lookup, insert, map)
 
-import Maybe (fromJust                )
-import List  (genericLength, transpose)
+import Data.Maybe (fromJust                )
+import Data.List  (genericLength, transpose)
 
 import DPrelude (Natural, Z, PropValue(..), InfUnn(..), 
                  lookupProp, sum1, sublists, showsWithDom)
diff -Naur docon/source/RPol0_.hs docon-fixed/source/RPol0_.hs
--- docon/source/RPol0_.hs	2011-03-01 14:30:45.000000000 -0500
+++ docon-fixed/source/RPol0_.hs	2011-12-31 00:28:17.273665556 -0500
@@ -6,7 +6,7 @@
 where
 import qualified Data.Map as Map (empty, lookup, insert)
 
-import List (genericLength)
+import Data.List (genericLength)
 
 import DPrelude (Expression(..), PropValue(..), InfUnn(..),  ct, 
                  ctr, allMaybes, showsn, showsWithDom)
diff -Naur docon/source/RPol_.hs docon-fixed/source/RPol_.hs
--- docon/source/RPol_.hs	2011-02-23 05:00:40.000000000 -0500
+++ docon-fixed/source/RPol_.hs	2011-12-31 00:28:17.276998850 -0500
@@ -26,7 +26,7 @@
 where
 import qualified Data.Map as Map (empty)
 
-import List (delete, union, genericLength, genericIndex, 
+import Data.List (delete, union, genericLength, genericIndex, 
                                                   genericReplicate)
 
 import DPrelude (DShow(..), Cast(..), -- classes
diff -Naur docon/source/RsePol0_.hs docon-fixed/source/RsePol0_.hs
--- docon/source/RsePol0_.hs	2011-02-24 15:28:32.000000000 -0500
+++ docon-fixed/source/RsePol0_.hs	2011-12-31 00:28:17.276998850 -0500
@@ -20,7 +20,7 @@
 where
 import qualified Data.Map as Map (lookup, insert) 
 
-import List (delete)
+import Data.List (delete)
 
 import DPrelude (PropValue(..), InfUnn(..), Comparison, ct, ctr, 
                  lookupProp, showsWithDom)
diff -Naur docon/source/RsePol_.hs docon-fixed/source/RsePol_.hs
--- docon/source/RsePol_.hs	2011-02-26 04:50:07.000000000 -0500
+++ docon-fixed/source/RsePol_.hs	2011-12-31 00:28:17.276998850 -0500
@@ -20,7 +20,7 @@
 where
 import qualified Data.Map as Map (empty, lookup, insert)
  
-import List (genericTake)
+import Data.List (genericTake)
 
 import DPrelude (Natural, PropValue(..), InfUnn(..),  fmapfmap, ct, ctr, 
                                                            showsWithDom)
diff -Naur docon/source/Semigr_.hs docon-fixed/source/Semigr_.hs
--- docon/source/Semigr_.hs	2011-02-28 04:26:15.000000000 -0500
+++ docon-fixed/source/Semigr_.hs	2011-12-31 00:28:17.280332144 -0500
@@ -25,7 +25,7 @@
 where   
 import qualified Data.Map as Map (empty, lookup, insert)
 
-import Maybe (fromMaybe)
+import Data.Maybe (fromMaybe)
 
 import Prelude_ (PropValue(..), InfUnn(..), 
                  lookupProp, showsn, fmapmap, fmapfmap)
diff -Naur docon/source/SetGroup.hs docon-fixed/source/SetGroup.hs
--- docon/source/SetGroup.hs	2011-02-20 06:17:12.000000000 -0500
+++ docon-fixed/source/SetGroup.hs	2011-12-31 00:28:17.280332144 -0500
@@ -42,8 +42,8 @@
 where
 import qualified Data.Map as Map (empty, lookup, insert)
 
-import Maybe (fromMaybe, isJust)            
-import List  (genericLength, partition)
+import Data.Maybe (fromMaybe, isJust)            
+import Data.List  (genericLength, partition)
 import Categs   
        (CategoryName(..), Domain1(..), Domains1, Subsemigroup(..),
         Property_Subsemigroup(..), Subgroup(..), 
diff -Naur docon/source/Set_.hs docon-fixed/source/Set_.hs
--- docon/source/Set_.hs	2011-03-04 11:26:39.000000000 -0500
+++ docon-fixed/source/Set_.hs	2011-12-31 00:28:17.280332144 -0500
@@ -19,8 +19,8 @@
 where
 import qualified Data.Map as Map (empty)
 
-import Maybe (fromMaybe, isJust)
-import List  (find, genericLength)
+import Data.Maybe (fromMaybe, isJust)
+import Data.List  (find, genericLength)
 
 import Categs (Domains1, OSet(..), Properties_OSet, Property_OSet(..),  
                                                   Construction_OSet(..))
diff -Naur docon/source/Stairc_.hs docon-fixed/source/Stairc_.hs
--- docon/source/Stairc_.hs	2011-03-20 11:30:04.000000000 -0400
+++ docon-fixed/source/Stairc_.hs	2011-12-31 00:28:17.283665438 -0500
@@ -20,7 +20,7 @@
 
 import qualified Data.Map as Map (empty)  
 
-import List (genericLength, genericDrop, genericTake, transpose)
+import Data.List (genericLength, genericDrop, genericTake, transpose)
 
 import DPrelude (allMaybes, evenL, mulSign, invSign, tuple31, showsn,
                                                            showsWithDom)
diff -Naur docon/source/SymmFn0_.hs docon-fixed/source/SymmFn0_.hs
--- docon/source/SymmFn0_.hs	2011-02-26 11:33:38.000000000 -0500
+++ docon-fixed/source/SymmFn0_.hs	2011-12-31 00:28:17.283665438 -0500
@@ -17,7 +17,7 @@
 import qualified Data.Map as Map 
                       (empty, lookup, findWithDefault, insert, fromList)
 
-import Maybe (fromMaybe)
+import Data.Maybe (fromMaybe)
 
 import DPrelude (ct, factorial, allMaybes, showsWithDom, 
                  addListToMapWith
diff -Naur docon/source/SymmFn1_.hs docon-fixed/source/SymmFn1_.hs
--- docon/source/SymmFn1_.hs	2011-02-26 12:35:05.000000000 -0500
+++ docon-fixed/source/SymmFn1_.hs	2011-12-31 00:28:17.283665438 -0500
@@ -16,7 +16,7 @@
 where
 import qualified Data.Map as Map (empty)
 
-import List (genericLength, genericIndex)
+import Data.List (genericLength, genericIndex)
 
 import DPrelude (ct, ctr, factorial, sum1, alteredSum, showsn, 
                                                        showsWithDom)
diff -Naur docon/source/SymmFn_.hs docon-fixed/source/SymmFn_.hs
--- docon/source/SymmFn_.hs	2011-02-26 10:59:29.000000000 -0500
+++ docon-fixed/source/SymmFn_.hs	2011-12-31 00:28:17.286998731 -0500
@@ -25,8 +25,8 @@
 import qualified Data.Map as Map 
               (Map(..), empty, lookup, findWithDefault, insert, toList, 
                                                                fromList)
-import Maybe (fromMaybe)
-import List  (genericLength, transpose)
+import Data.Maybe (fromMaybe)
+import Data.List  (genericLength, transpose)
 
 import DPrelude (Natural, Z, ct, dropAsMuch, sum1, product1, factorial, 
                  sortBy, allMaybes, showsn, showsWithDom, 
diff -Naur docon/source/Sympol_.hs docon-fixed/source/Sympol_.hs
--- docon/source/Sympol_.hs	2011-02-26 10:21:58.000000000 -0500
+++ docon-fixed/source/Sympol_.hs	2011-12-31 00:28:17.286998731 -0500
@@ -19,7 +19,7 @@
  -- Show, DShow, Eq, Dom, Project, PolLike, Set .. AddGroup, Num
 )
 where
-import List    hiding (maximum, sort, sortBy)
+import Data.List    hiding (maximum, sort, sortBy)
 import Prelude hiding (maximum)
 
 import DPrelude (DShow(..), Cast(..), -- classes
diff -Naur docon/source/Todiag_.hs docon-fixed/source/Todiag_.hs
--- docon/source/Todiag_.hs	2011-02-20 10:51:44.000000000 -0500
+++ docon-fixed/source/Todiag_.hs	2011-12-31 00:28:17.286998731 -0500
@@ -18,7 +18,7 @@
 where
 import qualified Data.Map as Map (empty)
 
-import List (transpose)
+import Data.List (transpose)
 
 import SetGroup (Set(..), zeroS, unity       )
 import Ring0_   (EuclideanRing(..), upEucRing)
diff -Naur docon/source/UPol0_.hs docon-fixed/source/UPol0_.hs
--- docon/source/UPol0_.hs	2011-03-20 11:34:15.000000000 -0400
+++ docon-fixed/source/UPol0_.hs	2011-12-31 00:28:17.290332024 -0500
@@ -24,9 +24,9 @@
 where
 import qualified Data.Map as Map (empty, lookup, insert)
 
-import Random (Random(..))
-import Maybe  (catMaybes)
-import List   (genericDrop)
+import System.Random (Random(..))
+import Data.Maybe  (catMaybes)
+import Data.List   (genericDrop)
 
 import DPrelude 
        (DShow(..), -- class
diff -Naur docon/source/UPol_.hs docon-fixed/source/UPol_.hs
--- docon/source/UPol_.hs	2011-03-02 09:27:29.000000000 -0500
+++ docon-fixed/source/UPol_.hs	2011-12-31 00:28:17.290332024 -0500
@@ -26,7 +26,7 @@
 where
 import qualified Data.Map as Map (lookup, insert)
 
-import List (delete, genericLength, genericDrop, genericReplicate)
+import Data.List (delete, genericLength, genericDrop, genericReplicate)
 
 import DPrelude 
        (DShow(..), Cast(..), -- classes
diff -Naur docon/source/Vec0_.hs docon-fixed/source/Vec0_.hs
--- docon/source/Vec0_.hs	2011-02-22 05:55:38.000000000 -0500
+++ docon-fixed/source/Vec0_.hs	2011-12-31 00:28:17.293665317 -0500
@@ -17,7 +17,7 @@
  -- , instances for Vector:  Dom, Functor
 )
 where
-import List     (genericLength)
+import Data.List     (genericLength)
 import Categs   (Dom(..), Vector(..), vecRepr)
 import DPrelude (Natural, allMaybes, sum1)
 import SetGroup (zeroS)
diff -Naur docon/source/Vec1_.hs docon-fixed/source/Vec1_.hs
--- docon/source/Vec1_.hs	2005-06-14 09:52:12.000000000 -0400
+++ docon-fixed/source/Vec1_.hs	2011-12-31 00:28:17.293665317 -0500
@@ -11,7 +11,7 @@
 where
 import qualified Data.Map as Map (empty, lookup, insert)
  
-import List (genericLength)
+import Data.List (genericLength)
 
 import Categs 
 import DPrelude (PropValue(..), InfUnn(..), lookupProp,
diff -Naur docon/source/Vec_.hs docon-fixed/source/Vec_.hs
--- docon/source/Vec_.hs	2011-03-04 04:13:15.000000000 -0500
+++ docon-fixed/source/Vec_.hs	2011-12-31 00:28:17.293665317 -0500
@@ -23,8 +23,8 @@
  -- OrderedRing
 )
 where
-import Maybe  (fromJust, catMaybes)
-import Random (Random(..))
+import Data.Maybe  (fromJust, catMaybes)
+import System.Random (Random(..))
 
 import DPrelude (DShow(..), showsn, showsWithDom)
 import Categs   (Vector(..), vecRepr)
diff -Naur docon/source/VecMatr.hs docon-fixed/source/VecMatr.hs
--- docon/source/VecMatr.hs	2011-03-20 11:28:33.000000000 -0400
+++ docon-fixed/source/VecMatr.hs	2011-12-31 00:28:17.293665317 -0500
@@ -45,8 +45,8 @@
  sqMatrBaseRing
 )
 where
-import Maybe     (fromJust)
-import Data.List (intersperse)
+import Data.Maybe (fromJust)
+import Data.List  (intersperse)
 
 import DPrelude (DShow(..), -- class 
                  ShowOptions(..),  
